Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | PROPERTY | METHOD | DETAIL: FIELD | PROPERTY | METHOD

## org.codehaus.groovy.grails.web.mime
[Groovy] Interface MimeTypeResolver

    interface MimeTypeResolver

Resolves the response format

Authors:
  Graeme Rocher

Since:
  2.3

Property Summary
`java.lang.String` | `BEAN_NAME`

Method Summary
`MimeType` | `resolveRequestMimeType()` @return The request format sent by the client
`MimeType` | `resolveRequestMimeType(GrailsWebRequest request)` @return The request format sent by the client
`MimeType` | `resolveResponseMimeType()` @return The response format requested by the client
`MimeType` | `resolveResponseMimeType(GrailsWebRequest request)` @return The response format requested by the client

Property Detail

### BEAN_NAME

    java.lang.String BEAN_NAME

Method Detail

### resolveRequestMimeType

    MimeType resolveRequestMimeType()

  Returns:
    The request format sent by the client

### resolveRequestMimeType

    MimeType resolveRequestMimeType(GrailsWebRequest request)

  Returns:
    The request format sent by the client

### resolveResponseMimeType

    MimeType resolveResponseMimeType()

  Returns:
    The response format requested by the client

### resolveResponseMimeType

    MimeType resolveResponseMimeType(GrailsWebRequest request)

  Returns:
    The response format requested by the client

Groovy Documentation